{% extends "combio_app/base.html" %}
{% load i18n %}
{% load static %}

{% block container %}
<div class="grid">

                {% if user.is_authenticated %}
                    {% include "account/snippets/already_logged_in.html" %}
                {% endif %}
                <form method="post" action="{% url 'account_reset_password' %}" class="password_reset">
                    {% csrf_token %}
                    <div class="w-[520px] px-8 py-6 mt-4 m-auto">
                    <span class="text-3xl  mt-8 mb-6 text-mpiwg-green text-center">Forgotten Password</span><br/><br/>
                        <p class="mb-4">{% translate "Forgotten your password? Enter your e-mail address below, and we'll send you an e-mail allowing you to reset it." %}</p>

            <span class="italic text-red-500"
              >{{ form.email.errors | safe }}</span
            >
            <label class="block mt-4 font-bold" for="email">Email</label>        
            <input
              type="text"
              placeholder="Email"
              id="id_email"
              name="email"
              {% if form.email.value %}
              value="{{form.email.value}}"
              {% endif %}
              class="w-full px-4 py-2 mt-2 border rounded-md focus:outline-none focus:ring-1 focus:ring-grey-600"
            />
                        <button type="submit" class="mt-4 inline-flex items-center text-white self-center shadow-md shadow-inner bg-mpiwg-green hover:bg-mpiwg-light-green hover:text-mpiwg-green focus:ring-4 focus:outline-none focus:mpiwg-green font-medium rounded text-sm px-4 py-2" role="button">
                            {% translate "Reset My Password" %}
                        </button>
                    <p class="mt-4">Please <a class="text-mpiwg-green underline" href="mailto:combio@mpiwg-berlin.mpg.de">contact us</a> if you have any trouble resetting your
                    password.</p>
                    </div>
                </form>
    </div>
{% endblock %}
